[SciPy-user] scipy fails on OS X 10.4

Tony Mannucci Tony.Mannucci at jpl.nasa.gov
Sat Apr 29 03:27:46 CDT 2006

I downloaded the binary version of scipy from www.scipy.org/Download 
for OS X 10.4. I installed in the usual OS X way (from .dmg package 

I get the "old" error I used to see:

>>>  import scipy
>>>  scipy.test(level=1)

import signal -> failed: Failure linking new module: 
Symbol not found: _fprintf$LDBLStub
   Referenced from: 
   Expected in: dynamic lookup

>>>  scipy.__version__
>>>  scipy.__numpy_version__

I have selected gcc 3.3 using gcc_select. I had this problem before 
when I built from source, and it had to do with the gcc version I was 
using along with g77.

Thanks for your help.


Tony Mannucci
Supervisor, Ionospheric and Atmospheric Remote Sensing Group
  Mail-Stop 138-308,                     Tel > (818) 354-1699
  Jet Propulsion Laboratory,              Fax > (818) 393-5115
  California Institute of Technology,     Email > Tony.Mannucci at jpl.nasa.gov
  4800 Oak Grove Drive,                   http://genesis.jpl.nasa.gov
  Pasadena, CA 91109

More information about the SciPy-user mailing list